Lucene90Codec (Lucene 10.5.0 backward-codecs API)
Description: declaration: package: org.apache.lucene.backward_codecs.lucene90, class: Lucene90Codec

Package org.apache.lucene.backward_codecs.lucene90

# Class Lucene90Codec

java.lang.Object
org.apache.lucene.codecs.Codec
org.apache.lucene.backward_codecs.lucene90.Lucene90Codec

All Implemented Interfaces:
  `NamedSPILoader.NamedSPI`

public class Lucene90Codec extends Codec
Implements the Lucene 9.0 index format

If you want to reuse functionality of this codec in another codec, extend `FilterCodec`.

See Also:
  - `package documentation for file format details.`
WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `Lucene90Codec.Mode`
  Configuration option for the codec.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Lucene90Codec()`
  Instantiates a new codec.
  `Lucene90Codec(Lucene90Codec.Mode mode)`
  Instantiates a new codec, specifying the stored fields compression mode to use.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final CompoundFormat`
  `compoundFormat()`
  `final DocValuesFormat`
  `docValuesFormat()`
  `final FieldInfosFormat`
  `fieldInfosFormat()`
  `DocValuesFormat`
  `getDocValuesFormatForField(String field)`
  Returns the docvalues format that should be used for writing new segments of `field` .
  `KnnVectorsFormat`
  `getKnnVectorsFormatForField(String field)`
  Returns the vectors format that should be used for writing new segments of `field`
  `PostingsFormat`
  `getPostingsFormatForField(String field)`
  Returns the postings format that should be used for writing new segments of `field`.
  `KnnVectorsFormat`
  `knnVectorsFormat()`
  `final LiveDocsFormat`
  `liveDocsFormat()`
  `final NormsFormat`
  `normsFormat()`
  `final PointsFormat`
  `pointsFormat()`
  `final PostingsFormat`
  `postingsFormat()`
  `SegmentInfoFormat`
  `segmentInfoFormat()`
  `final StoredFieldsFormat`
  `storedFieldsFormat()`
  `final TermVectorsFormat`
  `termVectorsFormat()`

  ### Methods inherited from class org.apache.lucene.codecs.Codec

  `availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Lucene90Codec

    public Lucene90Codec()
    Instantiates a new codec.

  - ### Lucene90Codec

    public Lucene90Codec(Lucene90Codec.Mode mode)
    Instantiates a new codec, specifying the stored fields compression mode to use.
    Parameters:
      `mode` - stored fields compression mode to use for newly flushed/merged segments.

- ## Method Details

  - ### storedFieldsFormat

    public final StoredFieldsFormat storedFieldsFormat()
    Specified by:
      `storedFieldsFormat` in class `Codec`

  - ### termVectorsFormat

    public final TermVectorsFormat termVectorsFormat()
    Specified by:
      `termVectorsFormat` in class `Codec`

  - ### postingsFormat

    public final PostingsFormat postingsFormat()
    Specified by:
      `postingsFormat` in class `Codec`

  - ### fieldInfosFormat

    public final FieldInfosFormat fieldInfosFormat()
    Specified by:
      `fieldInfosFormat` in class `Codec`

  - ### segmentInfoFormat

    public SegmentInfoFormat segmentInfoFormat()
    Specified by:
      `segmentInfoFormat` in class `Codec`

  - ### liveDocsFormat

    public final LiveDocsFormat liveDocsFormat()
    Specified by:
      `liveDocsFormat` in class `Codec`

  - ### compoundFormat

    public final CompoundFormat compoundFormat()
    Specified by:
      `compoundFormat` in class `Codec`

  - ### pointsFormat

    public final PointsFormat pointsFormat()
    Specified by:
      `pointsFormat` in class `Codec`

  - ### knnVectorsFormat

    public KnnVectorsFormat knnVectorsFormat()
    Specified by:
      `knnVectorsFormat` in class `Codec`

  - ### getPostingsFormatForField

    public PostingsFormat getPostingsFormatForField(String field)
    Returns the postings format that should be used for writing new segments of `field`.

    The default implementation always returns "Lucene90".

    WARNING: if you subclass, you are responsible for index backwards compatibility: future version of Lucene are only guaranteed to be able to read the default implementation,

  - ### getDocValuesFormatForField

    public DocValuesFormat getDocValuesFormatForField(String field)
    Returns the docvalues format that should be used for writing new segments of `field` .

    The default implementation always returns "Lucene90".

    WARNING: if you subclass, you are responsible for index backwards compatibility: future version of Lucene are only guaranteed to be able to read the default implementation.

  - ### getKnnVectorsFormatForField

    public KnnVectorsFormat getKnnVectorsFormatForField(String field)
    Returns the vectors format that should be used for writing new segments of `field`

    The default implementation always returns "Lucene90".

    WARNING: if you subclass, you are responsible for index backwards compatibility: future version of Lucene are only guaranteed to be able to read the default implementation.

  - ### docValuesFormat

    public final DocValuesFormat docValuesFormat()
    Specified by:
      `docValuesFormat` in class `Codec`

  - ### normsFormat

    public final NormsFormat normsFormat()
    Specified by:
      `normsFormat` in class `Codec`